%define major 0
%define libwlocate %mklibname  wlocate %major
%define libwlocate_d %mklibname wlocate -d
%define git git20130127
%define rel 3

Name: libwlocate
Version: 1.1
Release: %mkrel -c %git %rel
Summary: Open WLAN Map interface library

Group:   Development/C
License: MIT
URL:     http://code.google.com/p/wlocate/ 
Source0: libwlocate-git.tar.bz2

BuildRequires:  libiw-devel

%description
Library for doing location lookup based on free openwlanmap.org data.

    * accessing the local WLAN-hardware
    * checking for WLAN-networks that are available
    * accessing the database
    * returning the current geographic position or an error code in case localisation failed 

#------------------------------------------------------------------------------

%package -n %{libwlocate}
Summary: Open WLAN Map interface library
Group: System/Libraries
Provides: %name = %version-%release

%description -n %{libwlocate}
Library for doing location lookup based on free openwlanmap.org data.

    * accessing the local WLAN-hardware
    * checking for WLAN-networks that are available
    * accessing the database
    * returning the current geographic position or an error code in case localisation failed 

%files -n %{libwlocate}
%_libdir/*.so.%{major}
%_libdir/*.so

#------------------------------------------------------------------------------

%package -n %{libwlocate_d}
Summary: Devel files needed to build apps based on %name
Group:    Development/C
Requires: %{libwlocate} = %version
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release

%description -n %{libwlocate_d}
Devel files needed to build apps based on %name

%files -n %{libwlocate_d}
%_includedir/libwlocate.h

#-----------------------------------------------------------------------------

%prep
%setup -q -n %{name}

%build

make -f Makelib CCOMPILE="gcc $RPM_OPT_FLAGS"

%install
mkdir -p %{buildroot}/%_libdir %{buildroot}/usr/include
install -m0644 libwlocate.so %{buildroot}/%_libdir/libwlocate.so.0
ln -sf libwlocate.so.0 %{buildroot}/%_libdir/libwlocate.so
install -m0644 libwlocate.h %{buildroot}/usr/include/

chmod 0644 COPYING CREDITS README




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.1-0.git20130127.3.mga4
+ Revision: 522035
- Mageia 4 Mass Rebuild

* Thu Feb 07 2013 mikala <mikala> 1.1-0.git20130127.2.mga3
+ Revision: 395090
- use some macro
- Fix file list

* Sun Jan 27 2013 neoclust <neoclust> 1.1-0.git20130127.1.mga3
+ Revision: 392646
- imported package libwlocate

